version: '3'

services:
    ###############################
    # Server
    ###############################
    server:
        build: ./server
        expose:
            - ${APP_SERVER_PORT}
        environment: 
                API_HOST: ${API_HOST}
                APP_SERVER_PORT: ${APP_SERVER_PORT}
        ports: 
                - ${APP_SERVER_PORT}:${APP_SERVER_PORT}
        volumes: 
                - ./server:/wingy-server
        command: node request.js
    client:
        build: ./client
        environment: 
            - REACT_APP_PORT=${REACT_APP_PORT}
        expose:
            - ${REACT_APP_PORT}
        ports: 
            - 80:${REACT_APP_PORT}
        volumes: 
                - ./client/src:/wingy-client/src
                - ./client/public:/wingy-client/public
        links:
                - server
        command: npm run start
    